-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local dns_ipv4 = ProcessingFlow[7].Destination.DHCPv4UseDNSServers
local dns_ipv6 = ProcessingFlow[7].Destination.DHCPv6UseDNSServers
if dns_ipv4 == false and dns_ipv6 == false then
    return 'Static'
end
if dns_ipv4 == true and dns_ipv6 == false then
    return 'IPv4'
end
if dns_ipv4 == false and dns_ipv6 == true then
    return 'IPv6'
end
return nil
